<template>
  <div class="col-12 pt-4">
    <div class="row">
      <div class="col-12">
        <h5>{{name}}</h5>
      </div>
      <div class="col-9">
        {{description}}
      </div>
      <div class="col-3">
        <toggle-button v-model="active"/>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'SettingOptions',
  props: {
    name: String,
    description: String,
    active: Boolean
  },
  data () {
    return {
      activeSetting: false
    }
  },
  mounted (){
    this.activeSetting = this.active
  },
  methods: {
    updateSetting() {
      this.$http
        .post('users/login', this.values)
        .then(response => {

        })
        .catch(error => {

      })
    }
  },
}
</script>
